##
##  dhcpd.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         dhcpd
Summary:      DHCP Daemon
URL:          http://www.isc.org/products/ISC/
Vendor:       Internet Software Consortium
Packager:     The OpenPKG Project
Distribution: OpenPKG [BASE]
Group:        DNS
License:      ISC/BSD
Version:      3.0.1rc10
Release:      20021108

#   list of sources
Source0:      ftp://ftp.isc.org/isc/dhcp/dhcp-%{version}.tar.gz
Source1:      dhcpd.conf
Source2:      rc.dhcpd

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    This is the ISC DHCP daemon reference implementation.

%prep
    %setup -q -n dhcp-%{version}

%build
    ( echo 'CC           = %{l_cc}'
      echo 'CFLAGS       = %{l_cflags -O}'
      echo 'USERBINDIR   = %{l_prefix}/bin'
      echo 'BINDIR       = %{l_prefix}/sbin'
      echo 'CLIENTBINDIR = %{l_prefix}/sbin'
      echo 'ADMMANDIR    = %{l_prefix}/man/man8'
      echo 'ADMMANEXT    = .8'
      echo 'FFMANDIR     = %{l_prefix}/man/man5'
      echo 'FFMANEXT     = .5'
      echo 'LIBMANDIR    = %{l_prefix}/man/man3'
      echo 'LIBMANEXT    = .3'
      echo 'MANCAT       = man'
      echo 'ETC          = %{l_prefix}/etc/dhcpd'
      echo 'VARRUN       = %{l_prefix}/var/dhcpd'
      echo 'VARDB        = %{l_prefix}/var/dhcpd'
      echo 'LIBDIR       = %{l_prefix}/lib'
      echo 'INCDIR       = %{l_prefix}/include/dhcpd'
    ) >>site.conf
    ./configure
    %{l_shtool} subst \
        -e 's;^[^#]*\(#define[^_]*_PATH_DHCPD_PID[^"]*\).*;\1 "%{l_prefix}/var/dhcpd/dhcpd.pid";' \
        -e 's;^[^#]*\(#define[^_]*_PATH_DHCPD_DB[^"]*\).*;\1 "%{l_prefix}/var/dhcpd/dhcpd.leases";' \
        -e 's;^[^#]*\(#define[^_]*_PATH_DHCPD_CONF[^"]*\).*;\1 "%{l_prefix}/etc/dhcpd/dhcpd.conf";' \
        includes/site.h
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/etc/dhcpd \
        $RPM_BUILD_ROOT%{l_prefix}/man/man5 \
        $RPM_BUILD_ROOT%{l_prefix}/man/man8
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    %{l_shtool} install -c -m 644 \
        %{SOURCE dhcpd.conf} \
        $RPM_BUILD_ROOT%{l_prefix}/etc/dhcpd/dhcpd.conf
    chmod a-x $RPM_BUILD_ROOT%{l_prefix}/man/man*/*
    rm -f $RPM_BUILD_ROOT%{l_prefix}/sbin/dhclient-script
    rm -f $RPM_BUILD_ROOT%{l_prefix}/man/man8/dhclient-script.8
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/man/man3
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/lib
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/include
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* 2> /dev/null || true
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d
    %{l_shtool} install -c -m 755 -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE rc.dhcpd} $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/
    %{l_shtool} install -c -m 644 /dev/null \
        $RPM_BUILD_ROOT%{l_prefix}/var/dhcpd/dhcpd.leases
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/dhcpd/dhcpd.conf'

%files -f files

%clean
   rm -rf $RPM_BUILD_ROOT

